package com.daikin.wechat.entity;

import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

@Table(name = "WECHAT_CORP_CHAT_SEQ")
@Entity(name = "wechat_CorpChatSeq")
public class CorpChatSeq extends StandardEntity {
    private static final long serialVersionUID = -6829066381817303338L;

    @NotNull
    @Column(name = "CORP", nullable = false, length = 64)
    private String corp;

    @NotNull
    @Column(name = "SEQ", nullable = false)
    private Long seq;

    public Long getSeq() {
        return seq;
    }

    public void setSeq(Long seq) {
        this.seq = seq;
    }

    public String getCorp() {
        return corp;
    }
}